gi-gtk-3.0.43: Gtk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.PlugAccessible

Contents

- Exported types
- Methods
  - getId

Description

No description available in the introspection data.

Since: 3.24.30

Synopsis

- newtype PlugAccessible = PlugAccessible (ManagedPtr PlugAccessible)
- class (GObject o, IsDescendantOf PlugAccessible o) => IsPlugAccessible o
- toPlugAccessible :: (MonadIO m, IsPlugAccessible o) => o -> m PlugAccessible
- plugAccessibleGetId :: (HasCallStack, MonadIO m, IsPlugAccessible a) => a -> m Text

# Exported types

newtype PlugAccessible Source #

Memory-managed wrapper type.

Constructors

PlugAccessible (ManagedPtr PlugAccessible) |

#### Instances

Instances details

Eq PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible Methods (==) :: PlugAccessible -> PlugAccessible -> Bool Source # (/=) :: PlugAccessible -> PlugAccessible -> Bool Source #
GObject PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible
ManagedPtrNewtype PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible Methods toManagedPtr :: PlugAccessible -> ManagedPtr PlugAccessible Source #
TypedObject PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible Methods glibType :: IO GType Source #
HasParentTypes PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible
IsGValue (Maybe PlugAccessible) Source # | Convert `PlugAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.PlugAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe PlugAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe PlugAccessible) Source #
type ParentTypes PlugAccessible Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible type ParentTypes PlugAccessible = '[WindowAccessible, ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Component, Window]

class (GObject o, IsDescendantOf PlugAccessible o) => IsPlugAccessible o Source #

Type class for types which can be safely cast to `PlugAccessible`, for instance with `toPlugAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf PlugAccessible o) => IsPlugAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.PlugAccessible

toPlugAccessible :: (MonadIO m, IsPlugAccessible o) => o -> m PlugAccessible Source #

Cast to `PlugAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getId, getIndexInParent, getLayer, getMdiZorder, getNAccessibleChildren, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.

## getId

plugAccessibleGetId :: (HasCallStack, MonadIO m, IsPlugAccessible a) => a -> m Text Source #

No description available in the introspection data.